#---------------------------------------------------------------------------
# uwsgi config for {{ name }} service
# {{ ansible_managed }}
#---------------------------------------------------------------------------
[uwsgi]
plugin = {{ uwsgi_paths.python_plugin|basename }}
socket = {{ aedir_rundir }}/uwsgi/{{ name }}/{{ name }}.sock
chmod-socket = 666
chdir = {{ aedir_rundir }}/uwsgi/{{ name }}
module = {{ module }}
stats = 127.0.0.1:{{ stats_port }}
manage-script-name = true
master = {{ master }}
{% if threads is defined %}
processes = 1
threads = {{ threads }}
enable-threads = true
{% else %}
processes = {{ processes }}
{% endif %}
buffer-size = {{ buffer_size }}
harakiri = {{ harakiri }}
{% if aedir_python_sitepackages.startswith(aedir_prefix) %}
virtualenv = {{ aedir_prefix }}
{% endif  %}
log-format = %(addr) - %(user) [%(ltime)] "%(method) %(uri) %(proto)" %(status) %(size) "%(referer)" "%(uagent)"
